Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359224 - Review Request: rubygem-turbolinks-source - Turbolinks JavaScript assets
Summary: Review Request: rubygem-turbolinks-source - Turbolinks JavaScript assets
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 14:26 UTC by Vít Ondruch
Modified: 2016-07-28 12:43 UTC (History)
2 users (show)

Fixed In Version: rubygem-turbolinks-source-5.0.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 12:43:59 UTC
jaruga: fedora-review+


Attachments (Terms of Use)

Comment 1 Jun Aruga 2016-07-27 11:58:49 UTC
> # We don't have js-turbolinks in Fedora yet and it would be quite demmanding
> # to unbundle it :/ Anyway, I started discussion with upstream on this topic.
> # https://github.com/turbolinks/turbolinks-rails/issues/11
> Provides: bundled(turbolinks) = 5.0.0

Which file is the bundled turbolinks one in the rubygem-turbolinks-source?

Why is turbolinks-rails related on turbolinks-source?


Other things are ok.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/jaruga/git
     /fedora-packages/review/1359224-rubygem-turbolinks-
     source/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     turbolinks-source-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-turbolinks-source-5.0.0-1.fc25.noarch.rpm
          rubygem-turbolinks-source-doc-5.0.0-1.fc25.noarch.rpm
          rubygem-turbolinks-source-5.0.0-1.fc25.src.rpm
rubygem-turbolinks-source.noarch: W: no-documentation
rubygem-turbolinks-source-doc.noarch: E: devel-dependency rubygem-turbolinks-source
rubygem-turbolinks-source-doc.noarch: E: zero-length /usr/share/gems/gems/turbolinks-source-5.0.0/README.md
3 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-turbolinks-source.noarch: W: invalid-url URL: https://github.com/turbolinks/turbolinks-source-gem <urlopen error [Errno -2] Name or service not known>
rubygem-turbolinks-source.noarch: W: no-documentation
rubygem-turbolinks-source-doc.noarch: E: devel-dependency rubygem-turbolinks-source
rubygem-turbolinks-source-doc.noarch: W: invalid-url URL: https://github.com/turbolinks/turbolinks-source-gem <urlopen error [Errno -2] Name or service not known>
rubygem-turbolinks-source-doc.noarch: E: zero-length /usr/share/gems/gems/turbolinks-source-5.0.0/README.md
2 packages and 0 specfiles checked; 2 errors, 3 warnings.



Requires
--------
rubygem-turbolinks-source (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-turbolinks-source-doc (rpmlib, GLIBC filtered):
    rubygem-turbolinks-source



Provides
--------
rubygem-turbolinks-source:
    bundled(turbolinks)
    rubygem(turbolinks-source)
    rubygem-turbolinks-source

rubygem-turbolinks-source-doc:
    rubygem-turbolinks-source-doc



Source checksums
----------------
https://rubygems.org/gems/turbolinks-source-5.0.0.gem :
  CHECKSUM(SHA256) this package     : eb9be1b29bbcaffad324693c02dbb8d274187b7f8148aae19c89a959d53d29e8
  CHECKSUM(SHA256) upstream package : eb9be1b29bbcaffad324693c02dbb8d274187b7f8148aae19c89a959d53d29e8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1359224
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Vít Ondruch 2016-07-27 13:55:14 UTC
(In reply to Jun Aruga from comment #1)
> > # We don't have js-turbolinks in Fedora yet and it would be quite demmanding
> > # to unbundle it :/ Anyway, I started discussion with upstream on this topic.
> > # https://github.com/turbolinks/turbolinks-rails/issues/11
> > Provides: bundled(turbolinks) = 5.0.0
> 
> Which file is the bundled turbolinks one in the rubygem-turbolinks-source?

lib/assets/javascripts/turbolinks.js

This is more or less the only file shipped in the package ...

> Why is turbolinks-rails related on turbolinks-source?

Not sure I understand this question ...

Comment 3 Jun Aruga 2016-07-27 14:17:30 UTC
Okay for
lib/assets/javascripts/turbolinks.js

> > Why is turbolinks-rails related on turbolinks-source?
> 
> Not sure I understand this question ...

I means that I did not think the github page of turbolinks-rails is the source of gem turbolinks. But actually what it is the source of gem turbolinks.

https://rubygems.org/gems/turbolinks
https://github.com/turbolinks/turbolinks-rails


I APPROVED it.

Comment 4 Gwyn Ciesla 2016-07-27 14:39:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-turbolinks-source


Note You need to log in before you can comment on or make changes to this bug.